<TeXmacs|1.99.13>

<style|<tuple|tmdoc|english|old-spacing|old-dots>>

<\body>
  <tmdoc-title|Plugin installation help>

  <strong|System requirements:>\ 

  <\enumerate-roman>
    An <name|Octave> installation (version 4 or newer) that provides the
    <em|octave-cli> and the <em|octave> commands in an operating system shell
    (on OSX or Linux), or in the Command Prompt on Windows. On OSX, this is
    the default behavior of e.g. the Homebrew installer. However,
    <name|Octave> OSX App installations usually do not provide this
    capability and are then not detected by <TeXmacs>. The same seems to
    happen with <name|Octave> distributions on Windows. In these cases, in
    order to use this plugin, it is necessary to add the opportune
    <name|Octave> bin directory to the searchable paths of the operating
    system.
  </enumerate-roman>

  \;

  <\strong>
    Disclaimer: do not mess with system files if you do not exactly know what
    you are doing.<em|>
  </strong>

  <\itemize-minus>
    <item><name|Octave> Apps (on OSX). Edit your <em|.bash_profile> file
    (warning: if not properly done this may hamper the correct behavior of
    other applications) and add (or modify if there is already in place a
    PATH command) the following command (modified to fit your system):

    <with|font-base-size|9|<with|font-base-size|8|<em|export
    PATH="/Applications/NameOfTheOctaveApp.app/Contents/SomePath/bin:$PATH">><with|font-shape|italic|font-base-size|5|>>

    Note: adjust the path of the previous command to fit the specific Octave
    application you intend to use.

    <item><name|Octave> distributions on Windows. Edit your environmental
    variables, add to the Path variable the path to the bin directory of the
    <name|Octave> distribution (there may be more than one, select that that
    matches your operating system, e.g. 32 vs 64 bits).

    <item>Then, refresh the <TeXmacs> plugin system with the
    <menu|Tools|Update|Plugins> menu item.
  </itemize-minus>

  \;

  <strong|Plugin installation>:

  <\description-compact>
    Unzip the <em|<name|octaveX.zip><em|<strong|>>> archive. Move the root
    directory (<em|octaveX>) to the <em|plugin> directory in the
    $TEXMACS_HOME_PATH folder (%TEXMACS_HOME_PATH% on Windows).

    At the end the folder structure should be as in the following figure:

    <with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5gw|0.5gh>>|gr-geometry|<tuple|geometry|1par|0.6par>|gr-text-at-margin|1.5spc|gr-auto-crop|true|<graphics||<text-at|
    TEXMACS_HOME_PATH|<point|-5.88337|3.38658>>|<text-at|
    plugins|<point|-2.09450654848525|2.70923733298055>>|<text-at|
    octaveX|<point|-1.14199960312211|2.1165663447546>>|<with|text-at-margin|1.5spc|<\document-at>
      \ bin

      \ doc

      \ examples

      \ octave

      \ progs
    </document-at|<point|-0.231826299775103|1.79906402963355>>>|<with|text-at-margin|1.5spc|<\document-at>
      \;
    </document-at|<point|-5.48121|4.10643>>>|<point|-6.00094|3.46699>|<point|-2.21208|2.7964>|<point|-1.25957|2.23804>|<point|-0.349385|1.63834>|<point|-0.349385|1.16763>|<point|-0.349385|0.776029>|<point|-0.349385|0.346528>|<point|-0.349385|-0.0672057>|<with|text-at-margin|1.5spc|<text-at||<point|1.41919|-0.484026>>>>>

    <space|3em>

    After inserting an octaveX session, a dedicated menu with some commands
    should appear in the <name|User provided icons> bar.
  </description-compact>

  <\big-figure*|<image|OctaveXmenu.pdf|198pt|||>>
    Screenshot of the OctaveX menu.
  </big-figure*>

  <with|font|TeX Gyre Pagella|font-base-size|6|<\note*>
    <strong|<verbatim|>>The README file in the doc folder is very outdated.
  </note*>>

  <tmdoc-copyright|1998\U2002|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>
</body>

<initial|<\collection>
</collection>>